Index: trunk/source/processes/electromagnetic/standard/include/G4ionIonisation.hh
===================================================================
--- trunk/source/processes/electromagnetic/standard/include/G4ionIonisation.hh	(revision 819)
+++ trunk/source/processes/electromagnetic/standard/include/G4ionIonisation.hh	(revision 961)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: G4ionIonisation.hh,v 1.50 2007/11/09 11:45:45 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-01-patch-02 $
+// $Id: G4ionIonisation.hh,v 1.57 2009/02/20 12:06:37 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-02-ref-02 $
 //
 // -------------------------------------------------------------------
@@ -57,4 +57,5 @@
 // 22-07-06 Remove obsolete method (V.Ivantchenko)
 // 07-11-07 Moved CorrectionsAlongStep to cc (V.Ivantchenko)
+// 12-09-08 Removed InitialiseMassCharge and CorrectionsAlongStep (VI)
 //
 // Class Description:
@@ -72,11 +73,7 @@
 
 #include "G4VEnergyLossProcess.hh"
-#include "G4ionEffectiveCharge.hh"
-#include "G4VEmModel.hh"
-#include "G4EmCorrections.hh"
 
 class G4Material;
-class G4PhysicsVector;
-class G4BraggIonModel;
+class G4EmCorrections;
 
 class G4ionIonisation : public G4VEnergyLossProcess
@@ -88,5 +85,5 @@
   virtual ~G4ionIonisation();
 
-  inline G4bool IsApplicable(const G4ParticleDefinition& p);
+  virtual G4bool IsApplicable(const G4ParticleDefinition& p);
 
   // Print out of the class parameters
@@ -94,5 +91,5 @@
 
   void AddStoppingData(G4int Z, G4int A, const G4String& materialName,
-		       G4PhysicsVector& dVector);
+		       G4PhysicsVector* dVector);
 
   void ActivateStoppingData(G4bool);
@@ -105,12 +102,5 @@
 					   const G4ParticleDefinition*);
 
-  virtual void CorrectionsAlongStep(const G4MaterialCutsCouple*,
-				    const G4DynamicParticle*,
-				    G4double& eloss,
-				    G4double& length);
-
-  inline void InitialiseMassCharge(const G4Track&);
-
-  inline G4double MinPrimaryEnergy(const G4ParticleDefinition* p,
+  virtual G4double MinPrimaryEnergy(const G4ParticleDefinition* p,
 				   const G4Material*, G4double cut);
 
@@ -118,8 +108,4 @@
 
   inline G4bool NuclearStoppingFlag();
-
-  // protected pointers 
-  G4ionEffectiveCharge*       effCharge;
-  G4EmCorrections*            corr;
 
 private:
@@ -129,54 +115,16 @@
   G4ionIonisation(const G4ionIonisation&);
 
-  // cash
-  const G4Material*           curMaterial;
-  const G4ParticleDefinition* curParticle;
+  G4EmCorrections*            corr;
+
   const G4ParticleDefinition* theParticle;
-  const G4ParticleDefinition* theBaseParticle;
 
-  G4double                    preKinEnergy;
+  G4double   eth;
 
-  G4double                    eth;
-  G4double                    baseMass;
-  G4double                    massRatio;
-  G4double                    massFactor;
-  G4double                    charge2;
-
-  G4bool                      isInitialised;
-  G4bool                      stopDataActive;
-  G4bool                      nuclearStopping;
+  G4bool     isInitialised;
+  G4bool     stopDataActive;
+  G4bool     nuclearStopping;
 };
 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....
-//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....
-
-inline G4bool G4ionIonisation::IsApplicable(const G4ParticleDefinition& p)
-{
-  return (p.GetPDGCharge() != 0.0 && !p.IsShortLived() &&
-          p.GetParticleType() == "nucleus");
-}
-
-//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....
-
-inline G4double G4ionIonisation::MinPrimaryEnergy(
-          const G4ParticleDefinition*, const G4Material*, G4double cut)
-{
-  G4double x = 0.5*cut/electron_mass_c2;
-  G4double g = std::sqrt(1. + x);
-  return proton_mass_c2*(g - 1.0);
-}
-
-//....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....
-
-inline void G4ionIonisation::InitialiseMassCharge(const G4Track& track)
-{
-  preKinEnergy = track.GetKineticEnergy();
-  massRatio    = baseMass/track.GetDynamicParticle()->GetMass();
-  charge2      = effCharge->EffectiveChargeSquareRatio(track.GetDefinition(),
-						       track.GetMaterial(),
-						       preKinEnergy);
-  SetDynamicMassCharge(massRatio, charge2);
-}
-
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo....
 
